Saber si nuestra CPU es vulnerable a Meltdown y Spectre en Linux

En los últimos días se ha hablado mucho sobre Meltdown y Spectre, unos fallos de seguridad que afectan a procesadores Intel y AMD, independientemente del sistema operativo donde se ejecuten, y afectan a millones de dispositivos en todo el mundo. Esto problema además se puede solucionar con un parche de seguridad que lancen los distintos proveedores, el cual puede afectar al rendimiento del dispositivo una vez aplicado.

 

 

En caso de estar afectado, si un atacante accediese a nuestro sistema, podría obtener tanto archivos como contraseñas o correos electrónicos, así que es importante determinar si nuestro procesador puede estar afectado por este fallo de seguridad. Esto podemos comprobarlo descargando un script que ha nixCraft:

wget https://raw.githubusercontent.com/speed47/spectre-meltdown-checker/master/spectre-meltdown-checker.sh

Y posteriormente ejecutándolo:

sudo sh spectre-meltdown-checker.sh

Esto nos sacará una pantalla similar a la imagen de abajo, donde en nuestro caso, ‘Spectre Variant 1 y 2’ es vulnearable y también en Meltdown. Si no estamos infectados, el STATUS se mostaría en verde y con un mensaje de ‘NOT VULNERABLE’

Deja una respuesta

Tu dirección de correo electrónico no será publicada.